Bug 28191 - Update wording on batch patron deletion to reflect changes from bug 26517
Summary: Update wording on batch patron deletion to reflect changes from bug 26517
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 26517
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-21 19:30 UTC by Andrew Fuerste-Henry
Modified: 2022-06-06 20:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.08


Attachments
Bug 28191: Upate wording on batch patron deletion (1.14 KB, patch)
2021-06-03 23:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28191: Upate wording on batch patron deletion (1.21 KB, patch)
2021-06-04 12:03 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28191: Upate wording on batch patron deletion (1.26 KB, patch)
2021-06-11 15:52 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-04-21 19:30:29 UTC
Bug 26517 changed the logic used to prevent patron batch deletion to prevent the deletion of any patron with permissions. The batch patron deletion page lists the reasons a patron will be retained and should up updated to reflect this change. Right now it says:

Patrons will not be deleted if they meet one or more of the following conditions:

They have items currently checked out.
They have a non-zero account balance.
They are the guarantor to another patron.
They are in a patron category of type staff.

We should add a line of:
They have staff permissions.
Comment 1 Jonathan Druart 2021-04-22 11:59:41 UTC
Frido, can you deal with this one please?
Comment 2 Fridolin Somers 2021-05-11 09:57:16 UTC
Ok I'm on it
Comment 3 Katrin Fischer 2021-06-03 23:36:26 UTC
Created attachment 121619 [details] [review]
Bug 28191: Upate wording on batch patron deletion

This adds another point to the list of things that prevent patron
deletion:

<li>They have permissions assigned to them.</li>

In order to test:
- Go to tools > patron deletion and anonymization
- Verify the new condition shows at the top of the page.
Comment 4 Katrin Fischer 2021-06-03 23:36:48 UTC
Stealing this one, Frido ;)
Comment 5 Andrew Fuerste-Henry 2021-06-04 12:03:58 UTC
Created attachment 121630 [details] [review]
Bug 28191: Upate wording on batch patron deletion

This adds another point to the list of things that prevent patron
deletion:

<li>They have permissions assigned to them.</li>

In order to test:
- Go to tools > patron deletion and anonymization
- Verify the new condition shows at the top of the page.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 Nick Clemens 2021-06-11 15:52:22 UTC
Created attachment 121859 [details] [review]
Bug 28191: Upate wording on batch patron deletion

This adds another point to the list of things that prevent patron
deletion:

<li>They have permissions assigned to them.</li>

In order to test:
- Go to tools > patron deletion and anonymization
- Verify the new condition shows at the top of the page.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Jonathan Druart 2021-06-21 10:05:26 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 8 Kyle M Hall 2021-06-25 13:56:47 UTC
Pushed to 21.05.x for 21.05.02
Comment 9 Fridolin Somers 2021-07-10 01:43:47 UTC
Pushed to 20.11.x for 20.11.08
Comment 10 Victor Grousset/tuxayo 2021-07-10 23:37:11 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.